Check-in [966987c964]
Overview
Comment:Added TclUDP support
Downloads: Tarball | ZIP archive | SQL archive
Timelines: family | ancestors | descendants | both | trunk
Files: files | file ages | folders
SHA1:966987c964b043628b4e749557e7a5854114853c
User & Date: rkeene on 2014-12-19 01:11:18
Other Links: manifest | tags
Context
2014-12-19
02:08
Added yajltcl support check-in: eb2922d636 user: rkeene tags: trunk
01:11
Added TclUDP support check-in: 966987c964 user: rkeene tags: trunk
00:43
Added TclLib support check-in: bbe03c6049 user: rkeene tags: trunk
Changes

Modified .fossil-settings/ignore-glob from [137a3b1513] to [a196c5bbbb].

   110    110   tcllib/build.log
   111    111   tcllib/inst
   112    112   tcllib/inst/*
   113    113   tcllib/out
   114    114   tcllib/out/*
   115    115   tcllib/src
   116    116   tcllib/src/*
          117  +udp/build
          118  +udp/build/*
          119  +udp/build.log
          120  +udp/inst
          121  +udp/inst/*
          122  +udp/out
          123  +udp/out/*
          124  +udp/src
          125  +udp/src/*
   117    126   kitdll/buildsrc/kitdll-0.0/starpack.vfs
   118    127   kitdll/buildsrc/kitdll-0.0/starpack.vfs/*
   119    128   kitdll/buildsrc/kitdll-0.0/test
   120    129   kitdll/buildsrc/kitdll-0.0/configure
   121    130   kitdll/buildsrc/kitdll-0.0/libtcl*.so
   122    131   kitdll/buildsrc/kitdll-0.0/Makefile
   123    132   kitdll/buildsrc/kitdll-0.0/*.o

Modified kitcreator from [99ffc9d1a8] to [5f7e210f4a].

    26     26   if [ -f 'build/pre.sh' ]; then
    27     27   	if ! find 'kitsh/buildsrc/' -name configure -type f 2>/dev/null | grep configure >/dev/null; then
    28     28   		echo "Please remember to run 'build/pre.sh' if you expect this build to work." >&2
    29     29   	fi
    30     30   fi
    31     31   
    32     32   # Define the list of all packages, for cleaning purposes
    33         -KITCREATOR_ALLPKGS="kitsh tcl tclvfs zlib tk itcl mk4tcl thread dbus tls tclx tcc4tcl tcllib"
           33  +KITCREATOR_ALLPKGS="kitsh tcl tclvfs zlib tk itcl mk4tcl thread dbus tls tclx tcc4tcl tcllib udp"
    34     34   
    35     35   # Always rebuild kitsh
    36     36   rm -f "kitsh/.success"
    37     37   for pkg in ${KITCREATOR_ALLPKGS} ${KITCREATOR_PKGS}; do
    38     38   	if [ "${mode}" != "retry" -o ! -f "${pkg}/.success" ]; then
    39     39   		rm -f "${pkg}/build.log" "${pkg}/.success"
    40     40   		rm -rf "${pkg}/out" "${pkg}/inst" "${pkg}/build"

Added udp/build.sh version [0751b83164].

            1  +#! /usr/bin/env bash
            2  +
            3  +if [ ! -f 'build.sh' ]; then
            4  +	echo 'ERROR: This script must be run from the directory it is in' >&2
            5  +
            6  +	exit 1
            7  +fi
            8  +if [ -z "${TCLVERS}" ]; then
            9  +	echo 'ERROR: The TCLVERS environment variable is not set' >&2
           10  +
           11  +	exit 1
           12  +fi
           13  +
           14  +TCLUDPVERS="1.0.11"
           15  +SRC="src/tcludp-${TCLUDPVERS}.tar.gz"
           16  +SRCURL="http://sourceforge.net/projects/tcludp/files/tcludp/${TCLUDPVERS}/tcludp-${TCLUDPVERS}.tar.gz"
           17  +BUILDDIR="$(pwd)/build/tcludp"
           18  +OUTDIR="$(pwd)/out"
           19  +INSTDIR="$(pwd)/inst"
           20  +PATCHDIR="$(pwd)/patches"
           21  +export TCLUDPVERS SRC SRCURL BUILDDIR OUTDIR INSTDIR PATCHDIR
           22  +
           23  +# Set configure options for this sub-project
           24  +LDFLAGS="${LDFLAGS} ${KC_TCLUDP_LDFLAGS}"
           25  +CFLAGS="${CFLAGS} ${KC_TCLUDP_CFLAGS}"
           26  +CPPFLAGS="${CPPFLAGS} ${KC_TCLUDP_CPPFLAGS}"
           27  +LIBS="${LIBS} ${KC_TCLUDP_LIBS}"
           28  +export LDFLAGS CFLAGS CPPFLAGS LIBS
           29  +
           30  +rm -rf 'build' 'out' 'inst'
           31  +mkdir 'build' 'out' 'inst' || exit 1
           32  +
           33  +TCL_VERSION="unknown"
           34  +if [ -f "${TCLCONFIGDIR}/tclConfig.sh" ]; then
           35  +        source "${TCLCONFIGDIR}/tclConfig.sh"
           36  +fi
           37  +export TCL_VERSION
           38  +
           39  +if [ ! -f "${SRC}" ]; then
           40  +	mkdir 'src' >/dev/null 2>/dev/null
           41  +
           42  +	if [ ! -d 'buildsrc' ]; then
           43  +		rm -f "${SRC}.tmp"
           44  +		wget -O "${SRC}.tmp" "${SRCURL}" || exit 1
           45  +		mv "${SRC}.tmp" "${SRC}"
           46  +	fi
           47  +fi
           48  +
           49  +(
           50  +	cd 'build' || exit 1
           51  +
           52  +	if [ ! -d '../buildsrc' ]; then
           53  +		gzip -dc "../${SRC}" | tar -xf -
           54  +	else    
           55  +		cp -rp ../buildsrc/* './'
           56  +	fi
           57  +
           58  +	cd "${BUILDDIR}" || exit 1
           59  +
           60  +	# Try to build as a shared object if requested
           61  +	if [ "${STATICTCLUDP}" = "0" ]; then
           62  +		tryopts="--enable-shared --disable-shared"
           63  +	elif [ "${STATICTCLUDP}" = "-1" ]; then
           64  +		tryopts="--enable-shared"
           65  +	else
           66  +		tryopts="--disable-shared"
           67  +	fi
           68  +
           69  +	SAVE_CFLAGS="${CFLAGS}"
           70  +	for tryopt in $tryopts __fail__; do
           71  +		rm -rf "${INSTDIR}"
           72  +		mkdir "${INSTDIR}"
           73  +
           74  +		if [ "${tryopt}" = "__fail__" ]; then
           75  +			exit 1
           76  +		fi
           77  +
           78  +		# Clean up, if needed
           79  +		make distclean >/dev/null 2>/dev/null
           80  +		if [ "${tryopt}" == "--enable-shared" ]; then
           81  +			isshared="1"
           82  +		else
           83  +			isshared="0"
           84  +		fi
           85  +
           86  +		# If build a static TCLUDP for KitDLL, ensure that we use PIC
           87  +		# so that it can be linked into the shared object
           88  +		if [ "${isshared}" = "0" -a "${KITTARGET}" = "kitdll" ]; then
           89  +			CFLAGS="${SAVE_CFLAGS} -fPIC"
           90  +		else
           91  +			CFLAGS="${SAVE_CFLAGS}"
           92  +		fi
           93  +		export CFLAGS
           94  +
           95  +		if [ "${isshared}" = '0' ]; then
           96  +			sed 's@USE_TCL_STUBS@XXX_TCL_STUBS@g' configure > configure.new
           97  +		else
           98  +			sed 's@XXX_TCL_STUBS@USE_TCL_STUBS@g' configure > configure.new
           99  +		fi
          100  +		cat configure.new > configure
          101  +		rm -f configure.new
          102  +
          103  +		(
          104  +			echo "Running: ./configure $tryopt --prefix=\"${INSTDIR}\" --exec-prefix=\"${INSTDIR}\" --libdir=\"${INSTDIR}/lib\" --with-tcl=\"${TCLCONFIGDIR}\" ac_cv_path_DTPLITE=no ${CONFIGUREEXTRA}"
          105  +			./configure $tryopt --prefix="${INSTDIR}" --exec-prefix="${INSTDIR}" --libdir="${INSTDIR}/lib" --with-tcl="${TCLCONFIGDIR}" ac_cv_path_DTPLITE=no ${CONFIGUREEXTRA}
          106  +
          107  +			echo "Running: ${MAKE:-make} tcllibdir=\"${INSTDIR}/lib\""
          108  +			${MAKE:-make} tcllibdir="${INSTDIR}/lib" || exit 1
          109  +
          110  +			echo "Running: ${MAKE:-make} tcllibdir=\"${INSTDIR}/lib\" install"
          111  +			${MAKE:-make} tcllibdir="${INSTDIR}/lib" install || exit 1
          112  +		) || continue
          113  +
          114  +		break
          115  +	done
          116  +
          117  +	# Create pkgIndex if needed
          118  +	if [ ! -e "${INSTDIR}/lib/udp${TCLUDPVERS}/pkgIndex.tcl" ]; then
          119  +		cat << _EOF_ > "${INSTDIR}/lib/udp${TCLUDPVERS}/pkgIndex.tcl"
          120  +package ifneeded udp ${TCLUDPVERS} [list load {} udp]
          121  +_EOF_
          122  +	fi
          123  +
          124  +	# Install files needed by installation
          125  +	cp -r "${INSTDIR}/lib" "${OUTDIR}" || exit 1
          126  +	find "${OUTDIR}" -name '*.a' -type f | xargs -n 1 rm -f --
          127  +
          128  +	exit 0
          129  +) || exit 1
          130  +
          131  +exit 0